<?php

// Die if we are called via web, we only want to be run from command line
if (php_sapi_name() !='cli') exit;

function parse_conf($filename) {

    global $config_engine;

    $conf = array();
    $file = file($filename);

    foreach ($file as $line) {
        if (preg_match("/^\s*([^=]*)\s*=\s*[\"']?([\w\/\:\.\,\}\{\>\<\(\)\*\?\%!=\+\#@&\\$-]*)[\"']?\s*([;].*)?/",$line,$matches)) {

            if(preg_match('/\$amp_conf/',$matches[1])) {
                $matches[1] = preg_replace('/\$amp_conf\[[\'\"]/','',$matches[1]);
                $matches[1] = trim($matches[1]);
                $matches[1] = substr($matches[1],0,-2);
            }
            $matches[1] = trim($matches[1]);
            $matches[1] = preg_replace("/^AMP/","",$matches[1]);

            if($config_engine=='thirdlane_db') {
                if($matches[1]=='DBCONFIG') { $matches[1]='DBNAME'; $conf['DBHOST']='localhost';} // Convert thirdlane db name entry
            }
            $conf[ $matches[1] ] = $matches[2];
        }
    }
    return $conf;
}

if(file_exists("/etc/freepbx.conf")) {
   $conf = parse_conf("/etc/freepbx.conf");
} else if(file_exists("/etc/amportal.conf")) {
   $conf = parse_conf("/etc/amportal.conf");
}


$db = new mysqli($conf['DBHOST'], $conf['DBUSER'], $conf['DBPASS'], $conf['DBNAME']);
if ($db->connect_errno) {
    echo "Could not connect to MySQL: (" . $db->connect_errno . ") " . $db->connect_error;
    die();
}

$seteo=array();
$dir = dirname(__FILE__);
$inifile = $dir."/callflowfpbx.ini";
$seteo = parse_ini_file($inifile,true);

$callflow_count = intval($seteo['callflow_count']);
if($callflow_count<=0) $callflow_count=20;

$extraquery='';
if(isset($seteo['check_timecondition'])) {
    if($seteo['check_timecondition']==1) {
        $extraquery = " OR modulename='timeconditions' ";
    }
}

$query = "SELECT description,defaultcode FROM featurecodes WHERE (modulename='daynight' $extraquery)";
if(!$result = $db->query($query)){
    die('There was an error running the query [' . $db->error . ']');
}

$clean_seteo = array();
foreach($seteo as $key=>$val) {
    if(!strstr($key,"name_")) {
        $clean_seteo[$key]=$val;
    }
}
$seteo = $clean_seteo;

for($a=0;$a<$callflow_count;$a++) {
    if(!isset($seteo['name_'.$a])) {
        $seteo['name_'.$a]='';
    }
}

$noallprefix='';
$allprefix='';
while($row = $result->fetch_assoc()){
    $partes = preg_split("/: /",$row['description']);
    $index = $partes[0];
    $nombre = $partes[1];
    $noallprefix = substr($row['defaultcode'],0,-1);
    $seteo['name_'.$index]=$nombre;
    if($index=='All') {
        $allprefix = $row['defaultcode'];
    }
}
if($allprefix<>'') {
    $seteo['featurecode_prefix'] = $allprefix;
} else {
    $seteo['featurecode_prefix'] = $noallprefix;
}


$fp = fopen($inifile,"w");
foreach($seteo as $key=>$val) {
    $linea = $key." = \"".$val."\"\n";
    fputs($fp,$linea);
}
fclose($fp);
